package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.mapper.PosOrderMapper;
import com.ruoyi.system.domain.PosOrder;
import com.ruoyi.system.service.IPosOrderService;

/**
 * posorderService业务层处理
 * 
 * @author ruoyi
 * @date 2023-05-23
 */
@Service
public class PosOrderServiceImpl extends ServiceImpl<BaseMapper<PosOrder>,PosOrder> implements IPosOrderService
{
    @Autowired
    private PosOrderMapper posOrderMapper;

    /**
     * 查询posorder
     * 
     * @param id posorder主键
     * @return posorder
     */
    @Override
    public PosOrder selectPosOrderById(Long id)
    {
        return posOrderMapper.selectPosOrderById(id);
    }

    /**
     * 查询posorder列表
     * 
     * @param posOrder posorder
     * @return posorder
     */
    @Override
    public List<PosOrder> selectPosOrderList(PosOrder posOrder)
    {
        return posOrderMapper.selectPosOrderList(posOrder);
    }
    /**
     * 查询posorder列表 sh
     *
     * @param posOrder posorder
     * @return posorder
     */
    @Override
    public List<PosOrder> selectPosOrderShList(PosOrder posOrder)
    {
        return posOrderMapper.selectPosOrderShList(posOrder);
    }

    /**
     * 新增posorder
     * 
     * @param posOrder posorder
     * @return 结果
     */
    @Override
    public int insertPosOrder(PosOrder posOrder)
    {
        return posOrderMapper.insertPosOrder(posOrder);
    }

    /**
     * 修改posorder
     * 
     * @param posOrder posorder
     * @return 结果
     */
    @Override
    public int updatePosOrder(PosOrder posOrder)
    {
        return posOrderMapper.updatePosOrder(posOrder);
    }

    /**
     * 批量删除posorder
     * 
     * @param ids 需要删除的posorder主键
     * @return 结果
     */
    @Override
    public int deletePosOrderByIds(Long[] ids)
    {
        return posOrderMapper.deletePosOrderByIds(ids);
    }

    /**
     * 删除posorder信息
     * 
     * @param id posorder主键
     * @return 结果
     */
    @Override
    public int deletePosOrderById(Long id)
    {
        return posOrderMapper.deletePosOrderById(id);
    }
}
